
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[LeetCode]--100. Same Tree / iVAN</title>

    <meta name="description" content="[LeetCode]--100. Same Tree Given two binary trees, write a function to check if they are equal or not. Two binary trees are considered equal if they are structurally identical and the nodes have the same value. public boolean isSameTree(TreeNode p, TreeNode q) { if (p == null">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[LeetCode]--100. Same Tree</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Given two binary trees, write a function to check if they are equal or not.</p>
<p>Two binary trees are considered equal if they are structurally identical and the nodes have the same value.</p>
<pre><code>public boolean isSameTree(TreeNode p, TreeNode q) {
        if (p == null &amp;&amp; q == null)
            return true;
        if ((p == null &amp;&amp; q != null) || (p != null &amp;&amp; q == null)) {
            System.out.println(2);
            return false;
        }

        if ((p.left != null &amp;&amp; q.left == null)
                || (p.left == null &amp;&amp; q.left != null)
                || (p.right == null &amp;&amp; q.right != null)
                || (p.right != null &amp;&amp; q.right == null)) {
            System.out.println(1);
            return false;
        }
        if (p.val != q.val)
            return false;
        return isSameTree(p.left, q.left) &amp;&amp; isSameTree(p.right, q.right);
    }
</code></pre>
<p>通过了，但是我在想子树的判断对不对，其实中间那一段代码时可以不要的，因为递归循环到子树的时候(p == null &amp;&amp; q != null) || (p != null &amp;&amp; q == null)这个判断已经包含了左子树和右子树的判断。</p>
<pre><code>/**
 * Definition for a binary tree node.
 * public class TreeNode {
 *     int val;
 *     TreeNode left;
 *     TreeNode right;
 *     TreeNode(int x) { val = x; }
 * }
 */
public class Solution {
    public boolean isSameTree(TreeNode p, TreeNode q) {
        if (p == null &amp;&amp; q == null)
            return true;
        if ((p == null &amp;&amp; q != null) || (p != null &amp;&amp; q == null))
            return false;
        if (p.val != q.val)
            return false;
        return isSameTree(p.left, q.left) &amp;&amp; isSameTree(p.right, q.right);
    }
}</code></pre>
<p>再推荐一种简单的写法，不过我觉得容易混淆。</p>
<pre><code>public boolean isSameTree1(TreeNode p, TreeNode q) {
        return (p == null &amp;&amp; q == null)
                || ((p != null &amp;&amp; q != null &amp;&amp; p.val == q.val) &amp;&amp; (isSameTree1(
                        p.left, q.left) &amp;&amp; isSameTree(p.right, q.right)));
    }</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 22:19:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/class/" title="class">class</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[LeetCode]--100. Same Tree的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWNAwmb.html" rel="bookmark">&lbrack;LeetCode&rsqb; Maximum Binary Tree 最大二叉树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an integer array with no duplicates. A maximum tree building on this array is defined as follow: The root is the maximum number in the array. The left subtree is the maximum tree constructed from left part subarray divided by the maximum number			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY4mweb.html" rel="bookmark">&lbrack;LeetCode&rsqb; Print Binary Tree 打印二叉树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Print a binary tree in an m*n 2D string array following these rules: The row number m should be equal to the height of the given binary tree. The column number n should always be an odd number. The root node's value (in string format) should be put i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lZ8Kb.html" rel="bookmark">&lbrack;LeetCode&rsqb;94&period;Binary Tree Inorder Traversal</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目] Given a binary tree, return the inorder traversal of its nodes' values. For example: Given binary tree {1,#,2,3}, 1 \ 2 / 3 return [1,3,2]. Note: Recursive solution is trivial, could you do it iteratively? confused what &quot;{1,#,2,3}&quot; means? &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlZDvb.html" rel="bookmark">&lbrack;LeetCode&rsqb;144&period;Binary Tree Preorder Traversal</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目] Given a binary tree, return the preorder traversal of its nodes' values. For example: Given binary tree {1,#,2,3}, 1 \ 2 / 3 return [1,2,3]. Note: Recursive solution is trivial, could you do it iteratively? [代码一] /*******************************			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2R1QZb.html" rel="bookmark">&lbrack;LeetCode&rsqb;199&period;Binary Tree Right Side View</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目 Given a binary tree, imagine yourself standing on the right side of it, return the values of the nodes you can see ordered from top to bottom. For example: Given the following binary tree, 1 &lt;- / \ 2 3 &lt;- \ \ 5 4 &lt;- You should return [1, 3, 4]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKZ36b.html" rel="bookmark">&lbrack;LeetCode&rsqb;101&period;Symmetric Tree</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目] Given a binary tree, check whether it is a mirror of itself (ie, symmetric around its center). For example, this binary tree is symmetric: 1 / \ 2 2 / \ / \ 3 4 4 3 But the following is not: 1 / \ 2 2 \ \ 3 3 Note: Bonus points if you could solv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2R9gvb.html" rel="bookmark">&lbrack;LeetCode&rsqb;&ast;124&period;Binary Tree Maximum Path Sum</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目] Given a binary tree, find the maximum path sum. The path may start and end at any node in the tree. For example: Given the below binary tree, 1 / \ 2 3 Return 6. [分析]    需要考虑以上两种情况: 1 左子树或者右子树中存有最大路径和 不能和根节点形成一个路径 2 左子树 右子树 和根节点形成最大路径 [代码] /****			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmom8M.html" rel="bookmark">&lbrack;LeetCode&rsqb;103&period;Binary Tree Zigzag Level Order Traversal</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目] Given a binary tree, return the zigzag level order traversal of its nodes' values. (ie, from left to right, then right to left for the next level and alternate between). For example: Given binary tree {3,9,20,#,#,15,7}, 3 / \ 9 20 / \ 15 7 retur			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeR12Vb.html" rel="bookmark">&lbrack;LeetCode&rsqb;102&period;Binary Tree Level Order Traversal</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目] Given a binary tree, return the level order traversal of its nodes' values. (ie, from left to right, level by level). For example: Given binary tree {3,9,20,#,#,15,7}, 3 / \ 9 20 / \ 15 7 return its level order traversal as: [ [3], [9,20], [15,7			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMywnlz.html" rel="bookmark" class="title">【LINUX学习】链接文件</a>
					<div>
						linux下的连接文件和windows下的快捷方式有点像.不过linux 下有硬链接和软链接两种. 硬链接:     是在某个目录下新增一个源链接文件的关联数据.比如 为/etc/passwd 创建一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWwnAM.html" rel="bookmark" class="title">网页制作中用到的各度量单位的比较</a>
					<div>
						比较|网页 在网页中对网页元素的大小修饰除了数值大小外,还有就是度量单位的选择了.不同的度量单位会有哪些不同的效果呢?首先先了解下各类单位及说明 像素(px)根据显示器的分辨率来确定长度,在web应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnDdrb.html" rel="bookmark" class="title">真正的取真实IP地址及利弊</a>
					<div>
						ip地址 目前网上流行的所谓&quot;取真实IP地址&quot;的方法,都有bug,没有考虑到多层透明代理的情况. 多数代码类似: string IpAddress = (HttpContext.C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKrw7z.html" rel="bookmark" class="title">实战PHP&sol;GTK&lpar;转载&rpar;</a>
					<div>
						实战PHP/GTK(转载) 刁馋 发表于 2002-2-19 15:25 PHP编程 ←返回版面      以前PHP被认为只能用来编写服务器端的CGI程序,如果说PHP能够开发Windows下的GU ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvyL9b.html" rel="bookmark" class="title">我的论坛源代码&lpar;六&rpar;</a>
					<div>
						repal.php回复用的页面,因为回复可以不必要是用户,所以没加用户身份校验 &lt;html&gt; &lt;head&gt; &lt;title&gt;回复论题:&lt;? echo $zt;? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9KRXz.html" rel="bookmark" class="title">ASP教程：第十八篇 堵住ASP漏洞</a>
					<div>
						无论你相不相信,通过 asp,可能可以很方便地入侵 web server.窃取服务器上的文件.捕获 web 数据库等系统的用户口令,甚至恶意删除服务器上的的文件,直至造成系统损坏,这些都决非耸人听闻, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvk7Np.html" rel="bookmark" class="title">CorelDRAW制作&OpenCurlyDoubleQuote;茶道人生&rdquo;书籍封面</a>
					<div>
						本文运用CorelDRAW x4来制作&quot;茶道人生&quot;书籍的封面,该封面与封底的创意,使用了简单的配色,突出幽雅的设计理念,呼应图书主题.并且加入了茶叶与茶用器具素材,突出图书中心内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91kXXM.html" rel="bookmark" class="title">汇编语言学习指南&lpar;一&rpar;</a>
					<div>
						汇编语言和CPU以及内存,端口等硬件知识是连在一起的. 这也是为什么汇编语言没有通用性的原因. 下面简单讲讲基本知识(针对INTEL x86及其兼容机)======================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4woOJp.html" rel="bookmark" class="title">创建并扩展Apache Wicket Web应用</a>
					<div>
						简介 Apache Wicket是一个功能强大.基于组件的轻量级Web应用框架,能将展现和业务逻辑很好地分离开来.你能用它创建易于测试.调试和支持的高质量Web 2.0应用.假设其他团队交付了一个基于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4WGwp.html" rel="bookmark" class="title">防止重载toString时产生递归调用的方法</a>
					<div>
						Java中任何对象都继承于Object类,因此,每个类都有一个toString方法用于返回当前对象的字符串形式(可能是对象地址或其他和对象相关的信息).在每个类中也可以覆盖toString方法以返回自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Pr5p.html" rel="bookmark" class="title">小米笔记本Air 12金色版开箱图赏评测</a>
					<div>
						  小米笔记本Air自发布后出售的机型仅包含银色版本,一个好消息是发布会中提到的金色版本也将于双11开售,并且首先应用在12英寸机型中.如果你对金色版更感兴趣,那不妨来看看笔者今天为大家带来金色版小米 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3mV6M.html" rel="bookmark" class="title">js获得网页背景色和字体色的方法</a>
					<div>
						 这篇文章主要介绍了js获得网页背景色和字体色的方法,需要的朋友可以参考下 获得网页的背景色和字体颜色,方法如下:    思想: 通过取得颜色属性值得到的是 rgb 色,不是我们想要的,所以需要将 r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWlkBb.html" rel="bookmark" class="title">U盘启动电脑的设置方法</a>
					<div>
						  U盘启动电脑的设置方法 下面就把简单的步骤写下来供你参考: 1.确保你的电脑中文件夹属性已改成显示隐藏文件 双击我的电脑-工具-文件夹选项-查看,将&quot;显示系统文件夹内容&quot;和&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b243XQp.html" rel="bookmark" class="title">飞信如何批量导入朋友</a>
					<div>
						  一.从飞信通讯录导入 1. 选择从飞信通讯录导入,系统将自动为您导入通讯录中带有手机号信息的联系人.选择需要导入的联系人,点击&quot;下一步&quot;. 2.输入您的姓名,选择将联系人添加到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkaZ7b.html" rel="bookmark" class="title">while&lpar;true&rpar;如何退出循环</a>
					<div>
						  while可以用作无穷循环,很多地方都用到无穷循环.一个无穷循环如下所示: while(true) {     循环内容;      ... } 无穷循环可以由自己循环中的某个条件式来结束.下面是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32oWgz.html" rel="bookmark" class="title">实现一个GUI程序 紧急 各位大虾帮帮忙啦</a>
					<div>
						问题描述 具体要求:1使用GUI控件实现显示和操作数据2具有查看前一条记录.查看后一条记录.查看最后一条记录.查看最前一条记录的功能,并具有完备的越界检查机制3具有增加.删除.修改数据的功能.4所管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l2W5b.html" rel="bookmark" class="title">清华大学邓志东教授：国内研究氛围浮躁，原创性算法太少</a>
					<div>
						雷锋网(公众号:雷锋网) AI 科技评论按:自去年 3 月 AlphaGo 战胜李世乭后,人工智能「突如一夜春风来」地步入人们视线,业已成为家喻户晓的一个名词.目前,以深度卷积神经网络为核心,以计算机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40JWjz.html" rel="bookmark" class="title">初学小白-初学Java的小白作业求解。</a>
					<div>
						问题描述 初学Java的小白作业求解. 我是刚开始学习java.跟着我赢职场的视频在学习.目前开始做第一个作业.目前也写出了.但不知道对还是不对.求各位大侠帮忙指点,如果有更好的方法欢迎指点.感激不尽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rOZap.html" rel="bookmark" class="title">移动App性能测评与优化1&period;3&period;2　问题所在</a>
					<div>
						1.3.2 问题所在 在了解DVM分配释放内存的机制后,根据dumpsys观察到的现象,猜测可能出现了页利用率问题(页内碎片).如图1-13所示,第一行:在开始阶段,内存分配较满.第二行:经过GC(垃 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE49gJz.html" rel="bookmark" class="title">python Gevent &ndash; 高性能的Python并发框架</a>
					<div>
						来源:http://www.xuebuyuan.com/1604603.html 「Gevent 指南」直达地址: http://sdiehl.github.io/gevent-tutorial/   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRwZap.html" rel="bookmark" class="title">阿里缺席首批民营银行：&OpenCurlyDoubleQuote;网络银行&rdquo;理想和监管博弈</a>
					<div>
						就在外界对阿里缺席首批民营银行阵容而感到错愕时,阿里小微金融服务集团(筹)副总裁俞胜法日首度开腔对媒体表示,目前还没递交筹建申请的主要原因之一是&quot;我们要做纯网络银行模式&quot;. 他表示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b229Dqb.html" rel="bookmark" class="title">dopost-doPost只能接收来自客户端的键值对吗？可以接收List&amp;amp&semi;amp&semi;lt&semi;Object&amp;amp&semi;amp&semi;gt&semi;吗？？</a>
					<div>
						问题描述 doPost只能接收来自客户端的键值对吗?可以接收List&lt;Object&gt;吗?? doPost只能接收来自客户端的键值对吗?可以接收List类型吗?? 如果可以,使用的是什么方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBrGaz.html" rel="bookmark" class="title">分享获得高质量的网站外链的途径</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 前段时间百度算法大更新,让许多依赖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodkmXM.html" rel="bookmark" class="title">阿里Q3财报：阿里云连续第7个季度翻番</a>
					<div>
						本文讲的是阿里Q3财报:阿里云连续第7个季度翻番[IT168 资讯]日前,阿里巴巴公布截止2016年12月31日的2017财年第三季度财报,云计算付费用户数量同比翻番,推动阿里云营收连续第7个季度保持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1qZBb.html" rel="bookmark" class="title">求助：短信猫开发遇到问题</a>
					<div>
						问题描述 1.利用网上的短信猫DLL开发包调用sms.dll,经测试在Winform下可正常运行2.操作系统是server2008r23.问题发生在将原winform代码改成webservice服务之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1BJwb.html" rel="bookmark" class="title">史上最详细的js日期正则表达式分享&lowbar;正则表达式</a>
					<div>
						最简单的正则 如 : /d{4}-/d{2}-/d{2}但是实际情况却不是那么简单,,要考虑,有效性和闰年等问题..... 对于日期的有效范围,不同的应用场景会有所不同.MSDN中定义的DateTim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlgWmp.html" rel="bookmark" class="title">Python标准库之多进程&lpar;multiprocessing包&rpar;介绍&lowbar;python</a>
					<div>
						在初步了解Python多进程之后,我们可以继续探索multiprocessing包中更加高级的工具.这些工具可以让我们更加便利地实现多进程. 进程池 进程池 (Process Pool)可以创建多个进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkaVoM.html" rel="bookmark" class="title">映射网络驱动器时，总是&OpenCurlyDoubleQuote;用户名和密码错误&rdquo;，why&quest;</a>
					<div>
						问题描述 如题,我提供的用户名和密码是正确的,但还是提示错误,不能链接,为什么?急啊! 解决方案 解决方案二:可能和对方防火墙有关吧解决方案三:与防火墙没关系吧,因为所要连的机器的防火墙已经关闭,而且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44vB9z.html" rel="bookmark" class="title">asp&period;net 指定图片改gif格式</a>
					<div>
						问题描述 上传的图片大小都1M多改gif的能小点吧或者有其他办法?每张图片都1M多太占空间了有没有办法?? 解决方案 解决方案二:如果想控制客户端采集,那么你必须考虑使用插件的思路.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdLWxz.html" rel="bookmark" class="title">重新设计网站的一些最新技巧</a>
					<div>
						每年,我都会密切关注推出的新设计网站SEM最佳案例.在过去的四年或是五年时间里,我的大部分建议都是相同的.今天,我们讨论一些可以改变的技巧. 推出重新设计的网站可以带来许多问题,因为旧的内容会到不同的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
